osl::eval::ml::AllMajor Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { DIM = 1 }

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (int black_major_count)

## Static Private Attributes

static MultiInt | weight

## Detailed Description

Definition at line 116 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 119 of file majorPiece.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::AllMajor::eval | ( | int | black_major_count | ) |

inline static

Definition at line 121 of file majorPiece.h.

References weight.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## setUp()

void osl::eval::ml::AllMajor::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 126 of file majorPiece.cc.

References osl::eval::ml::Weights::value(), and weight.

## Member Data Documentation

## weight

MultiInt osl::eval::ml::AllMajor::weight

static private

Definition at line 131 of file majorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc